#ifndef _CMSObjP_h_
#define _CMSObjP_h_

#include "CMSObject.h"
#include <X11/ObjectP.h>
#include <X11/Xcms.h>

#define XtRCmsColor "cmsColor"
/**********************************************************
 * CMS Object Instance Data Structures
 *
 **********************************************************/

typedef struct _CMSObjPart {
    /* resources */
    XtCallbackList callbacks;
    /*XcmsColor* color;*/
    XtPointer color;
    /* private state */
        
} CMSObjPart;

typedef struct _CMSObjRec {
    ObjectPart object;
    CMSObjPart cms; 
} CMSObjectRec;



/********************************************************
 * CMS Object Class Data Structures
 *
 ********************************************************/

typedef struct _CMSObjClassPart {
    int unused;
} CMSObjClassPart;

typedef struct _CMSObjClassRec {
    ObjectClassPart object_class;
    CMSObjClassPart cms_class;
} CMSObjClassRec;

extern CMSObjClassRec cmsObjClassRec;

#endif /*_CMSObjP_h_*/
