///////////////////////
//   Valuator.h      //
///////////////////////


#ifndef _Valuator_h
#define _Valuator_h 1

#include <IV-look/button.h>
#include <IV-look/dialogs.h>
#include <InterViews/adjust.h>
#include <InterViews/background.h>
#include <InterViews/box.h>
#include <InterViews/color.h>
#include <InterViews/style.h>
#include <InterViews/window.h>
#include <OS/string.h>
#include <stdio.h>
#include "ColorSpace.h"


class Valuator : public MonoGlyph, public Observer {
  public:
    Valuator(ColorSpace*, DimensionName, Style*);
    virtual ~Valuator();

    virtual InputHandler* focusable() const;

    virtual void update(Observable*);
    virtual void disconnect(Observable*);
  private:
    BoundedValue* clSpaceAdjuster_;
    FieldEditor *editor_;

    DimensionName dimension_;

    void accept_editor(FieldEditor*);
    void cancel_editor(FieldEditor*);

};

#endif
